Subject: Re: Tree command - Display Structure of Directory Hierarchy
From: "Ehud Karni" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 30 Sep 2009 16:59:43 +0200
List-Id: <cygwin.cygwin.com>

On Wed, 30 Sep 2009 14:01:12 Dave Korn wrote:
>
> Ehud Karni wrote:
> > On Tue, 29 Sep 2009 21:52:02 Dave Korn wrote:
> >>   That is precisely why I asked for the source, and precisely the advantage of
> >> open source over proprietary closed sources :-)
> >
> > I attach a source code for my own (simplified version) treed program
>
>   Thanks for trying to help, but I'm afraid you just aren't able to fulfill
> someone else's GPL obligations on their behalf; I want the actual source from
> which the actual binary that was distributed to me was compiled.

That's a misunderstanding, I did not intend to rectify the OP GPL violation,
I just wanted to provide a working directory tree listing program.

>   I'm quite curious to see how it uses the "system()" function.

My program does not use system, it uses dir operations and fstat.

Ehud.

--
 Ehud Karni           Tel: +972-3-7966-561  /"\
 Mivtach - Simon      Fax: +972-3-7976-561  \ /  ASCII Ribbon Campaign
 Insurance agencies   (USA) voice mail and   X   Against   HTML   Mail
 http://www.mvs.co.il  FAX:  1-815-5509341  / \
 GnuPG: 98EA398D <http://www.keyserver.net/>    Better Safe Than Sorry

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple